## org.firebirdsql.pool
Class DriverConnectionPoolDataSource

    java.lang.Object
      org.firebirdsql.pool.AbstractConnectionPool
          org.firebirdsql.pool.BasicAbstractConnectionPool
              org.firebirdsql.pool.AbstractDriverConnectionPoolDataSource
                  org.firebirdsql.pool.DriverConnectionPoolDataSource

All Implemented Interfaces:
  Serializable, EventListener, Referenceable, ObjectFactory, CommonDataSource, ConnectionEventListener, ConnectionPoolDataSource, ConnectionPoolConfiguration, PooledConnectionEventListener, PooledObjectListener

    public class DriverConnectionPoolDataSource

extends AbstractDriverConnectionPoolDataSource
implements ObjectFactory

Implementation of the javax.naming.spi.ObjectFactory interface.

Author:
  Roman Rokytskyy, Steve Jardine
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.firebirdsql.pool.AbstractConnectionPool
`AbstractConnectionPool.UserPasswordPair`

Field Summary

Fields inherited from class org.firebirdsql.pool.AbstractDriverConnectionPoolDataSource
`DRIVER_CLASS_NAME, EMPTY_USER_PASSWORD, JDBC_URL, PROPERTIES`

Constructor Summary
`DriverConnectionPoolDataSource()` Default Constructor.

Method Summary
`Object` `getObjectInstance(Object obj, Name name, Context nameCtx, Hashtable<?,?> environment)`

Methods inherited from class org.firebirdsql.pool.AbstractDriverConnectionPoolDataSource

`connectionClosed, connectionErrorOccurred, createObjectInstance, getConnectionManager, getDefaultReference, getDriverClassName, getFreeSize, getIsolation, getJdbcUrl, getLogger, getLoginTimeout, getLogWriter, getPooledConnection, getPooledConnection, getPooledConnection, getPoolName, getProperties, getProperty, getTotalSize, getTransactionIsolationLevel, getWorkingSize, physicalConnectionClosed, physicalConnectionDeallocated, processObjectInstance, setDriverClassName, setIsolation, setJdbcUrl, setLoginTimeout, setLogWriter, setProperties, setProperty, setTransactionIsolationLevel`

Methods inherited from class org.firebirdsql.pool.BasicAbstractConnectionPool

`deserialize, getBlockingTimeout, getConfiguration, getIdleTimeout, getMaxConnections, getMaxIdleTime, getMaxPoolSize, getMaxStatements, getMinConnections, getMinPoolSize, getObjectInstance, getPingInterval, getPingStatement, getRefAddr, getReference, getRetryInterval, isKeepStatements, isPingable, isPooling, isStatementPooling, serialize, setBlockingTimeout, setIdleTimeout, setKeepStatements, setMaxConnections, setMaxIdleTime, setMaxPoolSize, setMaxStatements, setMinConnections, setMinPoolSize, setPingInterval, setPingStatement, setPooling, setReference, setRetryInterval, setStatementPooling`

Methods inherited from class org.firebirdsql.pool.AbstractConnectionPool
`finalize, getQueue, physicalConnectionDeallocated, pooledObjectReleased, restart, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DriverConnectionPoolDataSource

    public DriverConnectionPoolDataSource()

  Default Constructor.

Method Detail

### getObjectInstance

    public Object getObjectInstance(Object obj,
                                    Name name,
                                    Context nameCtx,
                                    Hashtable<?,?> environment)
                             throws Exception

  Specified by:
    `getObjectInstance` in interface `ObjectFactory`
  Throws:
    `Exception`

Copyright © 2001-2010. All Rights Reserved.